View Issue Details

IDProjectCategoryView StatusLast Update
0017582CentOS-8-OTHERpublic2020-07-09 13:30
Reporterajschult 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version8.2.2004 
Target VersionFixed in Version 
Summary0017582: drpm 0.4.1 not actually built with zstd
Descriptiondrpm 0.4.1 has a changelog that claims it supports zstd, but it doesn't.

$ rpm -qp --changelog drpm-0.4.1-1.el8.x86_64.rpm | head -n 5
* Wed Oct 23 2019 Ales Matej <amatej@gmail.com> 0.4.1-1
- Update to 0.4.1
- Relicense to LGPLv2+
- Fix number of bugs mainly with drpm_make and drpm_apply
- Add support for zstd drpms

$ rpm -qRp drpm-0.4.1-1.el8.x86_64.rpm | grep zstd
[nothing]

When attempting to use createrepo with rpms with zstd, it fails to create drpms because of this.
Additional InformationThere is no drpm "category" in bugs.centos.org. WTF
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-07-09 13:30 ajschult New Issue